# Maintainer: Campbell Jones <arch at serebit dot com>
# Reviewed by Panda < panda@rebornos.org>
# Modified by Rafael from RebornOS

pkgname=budgie-control-center
pkgver=1.1.1
pkgrel=1
pkgdesc="Budgie's main interface to configure various aspects of the desktop"
url="https://github.com/BuddiesOfBudgie/budgie-control-center"
urldown="https://github.com/BuddiesOfBudgie/$pkgname/releases/download"
license=(GPL)
arch=(x86_64 aarch64 armv7h)

depends=(budgie-desktop
         gnome-online-accounts
         libgtop
         libpwquality
         smbclient
         libcheese
         libnma
         udisks2
         libhandy
         gsound
         colord-gtk
         icu)

makedepends=(docbook-xsl
             modemmanager
             meson)

optdepends=('system-config-printer: Printer settings'
            'gnome-user-share: WebDAV file sharing'
            'gnome-remote-desktop: screen sharing'
            'rygel: media sharing'
            'openssh: remote login'
            'power-profiles-daemon: Power profiles support')

# Removed:
# conflicts=(gnome-control-center)

source=("${urldown}/v${pkgver}/${pkgname}-${pkgver}.tar.xz")
sha256sums=('0a0f27cee3e5a33f17e6b34ad698b4a54fe8ef7c1d215a0aa9a07431722ac963')

build() {
    arch-meson ${pkgname}-${pkgver} build -Ddocumentation=true
    meson compile -C build
}

package() {
    meson install -C build --destdir "${pkgdir}"
}
